Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.data.update
Class UpdateTaskFactory

    java.lang.Object
      org.owasp.dependencycheck.data.update.UpdateTaskFactory

    public final class UpdateTaskFactory

extends Object

An UpdateTask Factory that instantiates the correct UpdateTask based on the given configuration.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Method Summary
`static UpdateTask` | `getUpdateTask()` Constructs the appropriate update task based on configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getUpdateTask

    public static UpdateTask getUpdateTask()
                                    throws MalformedURLException,
                                           DownloadFailedException,
                                           UpdateException

  Constructs the appropriate update task based on configuration.

  Returns:
    an UpdateTask
  Throws:
    `MalformedURLException` - thrown if a configured URL is malformed
    `DownloadFailedException` - thrown if a timestamp cannot be checked on a configured URL
    `UpdateException` - thrown if there is an exception generating the update task

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.